
ALTER TABLE RqRequirementHistory ADD COLUMN FLAGS BIGINT  NOT NULL  WITH DEFAULT 0 ;
ALTER TABLE RqDocumentHistory ADD COLUMN FLAGS BIGINT  NOT NULL  WITH DEFAULT 0 ;
ALTER TABLE RqProjectHistory ADD COLUMN FLAGS BIGINT  NOT NULL  WITH DEFAULT 0 ;
ALTER TABLE RqProjects ADD COLUMN WEBSERVER VARCHAR(255);


CREATE TABLE RQPACKAGEUSERS (
       PACKAGEID            DECIMAL(10) DEFAULT 0 NOT NULL,
       USERGROUPID          DECIMAL(10) DEFAULT 0 NOT NULL,
       PACKAGEACCESSRIGHTS         DECIMAL(3) DEFAULT NULL,
       REQUIREMENTACCESSRIGHTS    DECIMAL(3) DEFAULT NULL,
       DOCUMENTACCESSRIGHTS        DECIMAL(3) DEFAULT NULL,
       VIEWACCESSRIGHTS        	   DECIMAL(3) DEFAULT NULL,
       CONSTRAINT RQPKGPUSRS_PK PRIMARY KEY (PACKAGEID, USERGROUPID)
)IN TABLE4K INDEX IN INDEX4K ;

ALTER TABLE RQPACKAGEUSERS
       ADD CONSTRAINT RQPKG_USRGRID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE;

ALTER TABLE RQPACKAGEUSERS
       ADD CONSTRAINT RQPKG_PKGID_FK FOREIGN KEY (PACKAGEID)
	REFERENCES RQPACKAGES ON DELETE CASCADE;

CREATE TABLE RQRESOURCES (
       ID                   DECIMAL(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR(255) NOT NULL,
       TYPE                 VARCHAR(255) NOT NULL,
       REQUIREMENTID        DECIMAL(10) ,
       RESOURCEOBJ          BLOB (1 G),
       VERSIONDATETIME      TIMESTAMP DEFAULT current_timestamp NOT NULL,
       RQGUID               VARCHAR(40) NOT NULL,
       FLAGS BIGINT  NOT NULL  WITH DEFAULT 0, 
CONSTRAINT RQRESOURCES_PK PRIMARY KEY (ID)
 
)  IN TABLE4K INDEX IN INDEX4K LONG IN TABLE32K;
  

CREATE INDEX RQRES_RQGUID_X ON RQRESOURCES (RQGUID); 

ALTER TABLE RQRESOURCES
       ADD  CONSTRAINT RQRES_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE ;

CREATE INDEX RQRES_DATE_X on RQRESOURCES (REQUIREMENTID, VERSIONDATETIME);

INSERT INTO RQKEYS VALUES('Resource', 0);

UPDATE RqRequisite SET DATASTRUCTURE = 41;

ALTER TABLE RQPACKAGEUSERS 			PCTFREE 10;
ALTER TABLE RQRESOURCES			PCTFREE 10;

commit;
